classification
Title: IDLE right-clicks don't work on Mac OS 10.5
Type: behavior Stage: needs patch
Components: IDLE, macOS Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: IDLE on OS X popup menus do not work: cannot set/clear breakpoints
View: 10404
Assigned To: ronaldoussoren Nosy List: MLModel, ned.deily, ronaldoussoren
Priority: normal Keywords:

Created on 2009-10-28 01:35 by MLModel, last changed 2010-11-21 07:58 by ned.deily. This issue is now closed.

Messages (3)
msg94598 - (view) Author: Mitchell Model (MLModel) Date: 2009-10-28 01:35
I'm sure this has been reported before, by I can't find it. Right button
clicks do nothing on Mac OS X -- they don't go to the line of a
traceback, and in debug mode they don't pop up the breakpoint menu.
msg97965 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2010-01-17 19:12
(I've removed 3.0 from the list because we no longer do maintenance releases for that).

My gut feeling is that this an issue with Tkinter.
msg121882 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2010-11-21 07:58
Surprisingly, this had apparently not been reported before.  Thanks for doing so!  Recently, some one else reported the problem on one of the newsgroups.  Overlooking this issue, I unnecessarily opened Issue10404 for it and supplied a patch there.
History
Date User Action Args
2010-11-21 07:58:34ned.deilysetstatus: open -> closed

superseder: IDLE on OS X popup menus do not work: cannot set/clear breakpoints
versions: - Python 2.6
nosy: + ned.deily

messages: + msg121882
resolution: accepted -> duplicate
2010-01-17 19:12:35ronaldoussorensetversions: - Python 3.0
resolution: accepted
messages: + msg97965

type: behavior
stage: needs patch
2009-10-28 01:35:17MLModelcreate